tigase.server.ext.handlers

## Class StreamFeaturesProcessor

- java.lang.Object
- - tigase.server.ext.handlers.StreamFeaturesProcessor

- All Implemented Interfaces:
    ExtProcessor

      public class StreamFeaturesProcessor
      extends Object
      implements ExtProcessor

  Created: Oct 31, 2009 3:51:09 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamFeaturesProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Method description
    `List<tigase.xml.Element>` | `getStreamFeatures(ComponentIOService serv, ComponentProtocolHandler handler)` Method description
    `boolean` | `process(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, Queue<Packet> results)` Method description
    `void` | `startProcessing(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, Queue<Packet> results)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamFeaturesProcessor

          public StreamFeaturesProcessor()

  - ### Method Detail

    - #### getId

          public String getId()

      Method description
      Specified by:
        `getId` in interface `ExtProcessor`

    - #### getStreamFeatures

          public List<tigase.xml.Element> getStreamFeatures(ComponentIOService serv,
                                                   ComponentProtocolHandler handler)

      Method description
      Specified by:
        `getStreamFeatures` in interface `ExtProcessor`
      Parameters:
        `serv` -
        `handler` -

    - #### process

          public boolean process(Packet p,
                        ComponentIOService serv,
                        ComponentProtocolHandler handler,
                        Queue<Packet> results)

      Method description
      Specified by:
        `process` in interface `ExtProcessor`
      Parameters:
        `p` -
        `serv` -
        `handler` -
        `results` -

    - #### startProcessing

          public void startProcessing(Packet p,
                             ComponentIOService serv,
                             ComponentProtocolHandler handler,
                             Queue<Packet> results)

      Method description
      Specified by:
        `startProcessing` in interface `ExtProcessor`
      Parameters:
        `p` -
        `serv` -
        `handler` -
        `results` -

Copyright © 2013 Tigase. All rights reserved.